#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# work around a BSDBuild bug
export PREFIX     := /usr
export MANDIR     := $(PREFIX)/share/man
export LIBDIR     := $(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export SYSCONFDIR := /etc

%:
	dh $@ 

override_dh_auto_configure:
	sed -i -e 's,-Werror,,' ./configure
	prefix_gl=$(prefix) ./configure --build=$(DEB_BUILD_GNU_TYPE) \
	                                --prefix=$(PREFIX) \
	                                --libdir="$(LIBDIR)" \
	                                --mandir="$(MANDIR)" \
	                                --infodir="$(PREFIX)/share/info" \
	                                --sysconfdir="$(SYSCONFDIR)"

override_dh_installchangelogs:
	dh_installchangelogs ChangeLogs/Release-1.4.1.txt

